﻿namespace WebPacker.Tests.Packs.Watchers
{
	using System;
	using WebPacker.Packs.Resources;
	using WebPacker.Packs.Watchers;

	public class ContentWatcherTest : ResourceWatcherBaseTest
	{
		protected override IResourceWatcher GetMonitor()
		{
			return new ContentWatcher();
		}

		protected override IResource GetTestResource()
		{
			return new ContentResource("test", "content", DateTime.Now);
		}

		protected override IResource[] GetTestResources()
		{
			return new IResource[] 
			{
				new ContentResource("test", "content", DateTime.Now), 
				new ContentResource("test2", "content2", DateTime.Now.AddDays(-1)) 
			};
		}

		protected override IResource GetNotAcceptableResource()
		{
			return new FileResource("test.txt");
		}
	}
}
