﻿namespace WebPacker.Tests
{
	using WebPacker.Filters;
	using WebPacker.Packs;

	internal class TestFilter : IFilter
	{
		public TestFilter(PackType packType)
			: this(packType, null)
		{
		}

		public TestFilter(PackType packType, string name)
		{
			Name = name;
			PackType = packType;
		}

		public string Name { get; set; }

		public PackType PackType { get; set; }

		public int ApplyCount { get; private set; }

		public string Apply(string content)
		{
			return content;
		}

		public string ApplyToCombined(string combinedContent)
		{
			ApplyCount++;
			return combinedContent;
		}
	}
}
