﻿namespace WebPacker.Tests.VersionGenerators
{
	using NUnit.Framework;
	using WebPacker.VersionGenerators;

	[TestFixture]
	public class HashCodeVersionGeneratorTest : VersionGeneratorBaseTest
	{
		[Test]
		public void ConstructorTest()
		{
			Assert.AreEqual("hashCode", GetGenerator().Name);
		}

		[Test]
		public void GetNextVersionTest()
		{
			var generator = GetGenerator();
			var expected = "4cb00b8e";
			var actual = generator.GetNextVersion(GetTestPack());
			Assert.AreEqual(expected, actual);
		}

		protected override IVersionGenerator GetGenerator()
		{
			return new HashCodeVersionGenerator();
		}
	}
}
