﻿namespace WebPacker.Tests.VersionGenerators
{
	using NUnit.Framework;
	using WebPacker.Packs;
	using WebPacker.VersionGenerators;

	[TestFixture]
	public class ManualVersionGeneratorTest : VersionGeneratorBaseTest
	{
		[Test]
		public void ConstructorTest()
		{
			Assert.AreEqual("manual", GetGenerator().Name);
		}

		[Test]
		public void GetNextVersionTest()
		{
			var generator = GetGenerator();
			var pack = GetPack(PackType.JavaScript, "test", "test", "1.2.3");
			var expected = "1.2.3";
			var actual = generator.GetNextVersion(pack);
			Assert.AreEqual(expected, actual);
		}

		protected override IVersionGenerator GetGenerator()
		{
			return new ManualVersionGenerator();
		}
	}
}
