﻿namespace WebPacker.Tests.VersionGenerators
{
	using NUnit.Framework;
	using WebPacker.VersionGenerators;

	[TestFixture]
	public class Md5VersionGeneratorTest : VersionGeneratorBaseTest
	{
		[Test]
		public void ConstructorTest()
		{
			Assert.AreEqual("md5", GetGenerator().Name);
		}

		[Test]
		public void GetNextVersionTest()
		{
			var generator = GetGenerator();
			var expected = "b35e244443ff5ceae0e684c284c635f1";
			var actual = generator.GetNextVersion(GetTestPack());
			Assert.AreEqual(expected, actual);
		}

		protected override IVersionGenerator GetGenerator()
		{
			return new Md5VersionGenerator();
		}
	}
}
