﻿namespace WebPacker.Packs.Watchers
{
	using System;
	using System.Collections.Generic;
	using WebPacker.Packs.Resources;

	public class ResourceChangedEventArgs : EventArgs
	{
		private readonly string resourceName;
		private readonly IEnumerable<IResource> resources;

		public ResourceChangedEventArgs(string resourceName, IEnumerable<IResource> resources)
		{
			this.resourceName = resourceName;
			this.resources = resources;
		}

		public string ResourceName
		{
			get { return resourceName; }
		}

		public IEnumerable<IResource> Resources
		{
			get { return resources; }
		}
	}
}
