﻿namespace WebPacker.VersionGenerators
{
	using System;
	using WebPacker.Helpers;
	using WebPacker.Packs;

	public sealed class LastModifiedVersionGenerator : IVersionGenerator
	{
		public LastModifiedVersionGenerator()
		{
			Name = "lastModified";
		}

		public string Name { get; set; }

		public string GetNextVersion(Pack pack)
		{
			if (pack == null)
			{
				throw new ArgumentNullException("pack");
			}

			if (pack.Resources.Length == 0)
			{
				return string.Empty;
			}

			var lastModified = pack.GetLastModifiedTime();

			return lastModified.ToTimestamp().ToString("x");
		}
	}
}